
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_prelineinfo")]
    public class BasePrelineinfo
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        /// <summary>
        /// 预设线编码
        /// </summary>
        [Column("preline_no")]
        public string prelineNo { get; set; }

        /// <summary>
        /// 预设线名称
        /// </summary>
        [Column("preline_nm")]
        public string prelineNm { get; set; }

        /// <summary>
        /// 开始站台
        /// </summary>
        [Column("start_site")]
        public Guid? startSite { get; set; }

        /// <summary>
        /// 结束站台
        /// </summary>
        [Column("end_site")]
        public Guid? endSite { get; set; }

        /// <summary>
        /// 预设送达时间(秒)
        /// </summary>
        [Column("plan_duration")]
        public int? planDuration { get; set; }

        /// <summary>
        /// 输送类型 1入库2下件3倒库4拉回
        /// </summary>
        [Column("run_type")]
        public int? runType { get; set; }

        /// <summary>
        /// 库区
        /// </summary>
        [Column("area_id")]
        public Guid? areaId { get; set; }

        /// <summary>
        /// 库区1，2
        /// </summary>
        [Column("ware_house")]
        public int? wareHouse { get; set; }

        /// <summary>
        /// 501写1,502写2,503写3
        /// </summary>
        [Column("down_line")]
        public int? downLine { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }

        [Column("line_id")]
        public Guid? lineId { get; set; }
    }
}

